compat_digest.plug.1rrp man page

compat_digest.plug — a plugin for rpmrebuild, for digest compatibility with rpm 4.4x

Synopsis

rpmrebuild --change-spec-preamble="compat_digest.sh <packagename>
or
rpmrebuild --include compat_digest.plug <packagename>

Description

this plugin force the rpm internal digest to be compatible with rpm 4.4.x

Options

-h, --help
output help information plugins option and exit.
-v, --version
print plugin version and exit

Files

compat_digest.sh
contains the code for change-spec-preamble
compat_digest.plug
compat_digest.plug.1
is this man page

Examples

rpmrebuild --change-spec-preamble="compat_digest.sh apache

you can do the same with the following syntax

rpmrebuild --include compat_digest.plug apache

Authors

Eric Gerbier <gerbier@users.sourceforge.net>

See <URL:http://rpmrebuild.sourceforge.net/>.

Notes

this can also be done by the --md5-compat-digest core option

See Also

rpm(8), rpmbuild(8), rpmrebuild_plugins(1)
compat_digest.plug(1), demo.plug(1), demofiles.plug(1), nodoc.plug(1), uniq.plug(1), file2pacDep.plug(1) set_tag.plug(1) unset_tag.plug(1)
man -k rrp for plugins specific manpages

Info

2.11 Eric Gerbier rpmrebuild plugin